Bug 970931 - Review Request: pythonqt - Lightweight script binding of the Qt framework to the Python language
Review Request: pythonqt - Lightweight script binding of the Qt framework to ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Včelák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 05:05 EDT by Jan Kaluža
Modified: 2013-06-29 14:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: pythonqt-2.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-19 00:33:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jv+fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Kaluža 2013-06-05 05:05:58 EDT
Spec URL: http://jkaluza.fedorapeople.org/pythonqt.spec
SRPM URL: http://jkaluza.fedorapeople.org/pythonqt-2.1-1.fc18.src.rpm
Description: PythonQt is a dynamic and lightweight script binding of the Qt framework to the Python language. It can be easily embedded into Qt applications and makes any QObject derived object scriptable via Python without the need of
wrapper code generation.
Fedora Account System Username: jkaluza
Comment 1 Jan Včelák 2013-06-05 07:05:42 EDT
I will review the package.
Comment 2 Jan Včelák 2013-06-08 12:14:34 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package should contain python2-devel or python3-devel. Not python-devel.
  (http://fedoraproject.org/wiki/Packaging:Python#BuildRequires)

- Compiler warnings about broken strict-aliasing rules.

- The description for the main package and -devel packages are identical.
  I checked a few other -devel packages and it there was always an
  additional sentence, that the -devel package includes heder files. It
  should be probably added.

- Stray dependencies present, '--as-needed' linker flag should be added.
  (See rpmlint output.)

- The license text contains old FSF address, please inform upstream.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.

     Note: It seems that upstream has no strict preference of 'PythonQt'
	 over 'pythonqt', so I think the lowercase variant is OK.

[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[-]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[-]: Package meets the Packaging Guidelines::Python
[-]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.

     Note: Tests are present in the archive, not in the spec file. But X server
	 is required to run them. Therefore OK.

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pythonqt-2.1-1.fc18.x86_64.rpm
          pythonqt-devel-2.1-1.fc18.x86_64.rpm
pythonqt.x86_64: W: spelling-error %description -l en_US scriptable -> scrip table, scrip-table, script able
pythonqt-devel.x86_64: W: spelling-error %description -l en_US scriptable -> scrip table, scrip-table, script able
pythonqt-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint pythonqt-devel pythonqt
pythonqt-devel.x86_64: W: spelling-error %description -l en_US scriptable -> scrip table, scrip-table, script able
pythonqt-devel.x86_64: W: no-documentation
pythonqt.x86_64: W: spelling-error %description -l en_US scriptable -> scrip table, scrip-table, script able
pythonqt.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libPythonQt.so.2.1.0 /lib64/libdl.so.2
pythonqt.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libPythonQt.so.2.1.0 /lib64/libutil.so.1
pythonqt.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libPythonQt.so.2.1.0 /lib64/libpthread.so.0
pythonqt.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libPythonQt_QtAll.so.2.1.0 /lib64/libdl.so.2
pythonqt.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libPythonQt_QtAll.so.2.1.0 /lib64/libutil.so.1
pythonqt.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libPythonQt_QtAll.so.2.1.0 /lib64/libQtXmlPatterns.so.4
pythonqt.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libPythonQt_QtAll.so.2.1.0 /lib64/libpthread.so.0
pythonqt.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libPythonQt_QtAll.so.2.1.0 /lib64/libm.so.6
2 packages and 0 specfiles checked; 0 errors, 11 warnings.
# echo 'rpmlint-done:'



Requires
--------
pythonqt-devel (rpmlib, GLIBC filtered):
    libPythonQt.so.2()(64bit)
    libPythonQt_QtAll.so.2()(64bit)
    pythonqt(x86-64)

pythonqt (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libGL.so.1()(64bit)
    libPythonQt.so.2()(64bit)
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtOpenGL.so.4()(64bit)
    libQtSql.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtWebKit.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libQtXmlPatterns.so.4()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
pythonqt-devel:
    pythonqt-devel
    pythonqt-devel(x86-64)

pythonqt:
    libPythonQt.so.2()(64bit)
    libPythonQt_QtAll.so.2()(64bit)
    pythonqt
    pythonqt(x86-64)



Source checksums
----------------
http://downloads.sourceforge.net/pythonqt/PythonQt2.1_Qt4.8.zip :
  CHECKSUM(SHA256) this package     : b0885a02d26e8e2caaccfdf5d31fe5e5f7681a7a257e527889135a2cc4add381
  CHECKSUM(SHA256) upstream package : b0885a02d26e8e2caaccfdf5d31fe5e5f7681a7a257e527889135a2cc4add381


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -n pythonqt
Comment 3 Jan Včelák 2013-06-08 12:15:25 EDT
Looks good, but there are a few issues. Please, fix them.
Comment 4 Jan Kaluža 2013-06-10 06:24:18 EDT
Spec URL: http://jkaluza.fedorapeople.org/pythonqt.spec
SRPM URL: http://jkaluza.fedorapeople.org/pythonqt-2.1-2.fc18.src.rpm

(In reply to Jan Včelák from comment #2)
> - Package should contain python2-devel or python3-devel. Not python-devel.
>   (http://fedoraproject.org/wiki/Packaging:Python#BuildRequires)

Fixed.

> - Compiler warnings about broken strict-aliasing rules.

I have added "-fno-strict-aliasing" to workaround this Python bug http://www.python.org/dev/peps/pep-3123/ .

> - The description for the main package and -devel packages are identical.
>   I checked a few other -devel packages and it there was always an
>   additional sentence, that the -devel package includes heder files. It
>   should be probably added.

Fixed.

> - Stray dependencies present, '--as-needed' linker flag should be added.
>   (See rpmlint output.)

Added.

> - The license text contains old FSF address, please inform upstream.
> 

I sent an email upstream.
Comment 5 Jan Včelák 2013-06-10 06:57:37 EDT
Verified. All issues were resolved. Thank you.

Review result: ACCEPT
Comment 6 Jan Kaluža 2013-06-10 07:08:58 EDT
New Package SCM Request
=======================
Package Name: pythonqt
Short Description: Lightweight script binding of the Qt framework to the Python language
Owners: jkaluza jvcelak
Branches: f18 f19
Comment 7 Gwyn Ciesla 2013-06-10 08:39:03 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-06-10 10:04:24 EDT
pythonqt-2.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pythonqt-2.1-2.fc18
Comment 9 Fedora Update System 2013-06-10 10:05:23 EDT
pythonqt-2.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pythonqt-2.1-2.fc19
Comment 10 Fedora Update System 2013-06-11 05:01:56 EDT
Package pythonqt-2.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pythonqt-2.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10488/pythonqt-2.1-2.fc18
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-06-19 00:33:21 EDT
pythonqt-2.1-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Fedora Update System 2013-06-29 14:09:09 EDT
pythonqt-2.1-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.